Application Indicators

please include status messages/tooltips

Reported by A. Tombol on 2010-02-24
This bug affects 257 people
Affects Status Importance Assigned to Milestone
Application Indicators
Undecided
Unassigned
indicator-application (Ubuntu)
Wishlist
Unassigned

Bug Description

In the wiki page of status menus (https://wiki.ubuntu.com/CustomStatusMenuDesignGuidelines), it's stated that:
"Like other menus, status menus do not have tooltips"
Well, the former is not true. In Ubuntu, the Application, Places, System menus do have their own tooltips. So does Network Manager and the date/time applet. They all show important information in tooltips, without the need of further interaction.

The main reason for the report is Transmission losing a feature. When using the systray icon, i can easily check transfer rates by hovering the pointer above it. With the new status menu, i have to click to open the menu, one other to open the window and the third to close it again. True, this can be reduced to one by including the rates in the menu - but it's still a click.
I'm sure there are other software too, where using a tooltip is the most efficient way to show the most often needed information.

So I'm kindly asking you to reconsider your plans with(out) the tooltip. I think usability should be above dogmatic considerations like menus not having tooltips.

A. Tombol (atombol) on 2010-02-24
tags: added: wishlist
David Iwanowitsch (dav.id) wrote :

I don't see any reason on not having tooltips on menus.

Beside that, application indicators look more like buttons then a menu, and on buttons I usually expect some info as tooltip.

Changed in indicator-application:
status: New → Confirmed
Charles Kerr (charlesk) wrote :

https://wiki.ubuntu.com/CustomStatusMenuDesignGuidelines#What%20about%20tooltips

> As a last resort, it may be necessary to add a first item to the menu that is always insensitive, where the text of the item conveys the information that the tooltip previously did.

It's difficult to belive that this is a serious suggestion. This is an *awful* idea, especially for a new tool that's supposed to be improving usability.

This leaves the current panel in a very inconsistent state. Every other item, including menus, currently provides tooltips (i.e. GNOME menu, network manager notification area icon, GNOME panel clock, show desktop applet, workplace switcher).

Also confusing is that the proposed Freedesktop spec that this work seems to be based on includes support for tooltips. (org.freedesktop.StatusNotifierItem.ToolTip) [1]

[1] http://www.notmart.org/misc/statusnotifieritem/statusnotifieritem.html

Chow Loong Jin (hyperair) wrote :

I believe the official reason for dropping tooltips is because they want to make these application indicators more similar to menus. But, as I had already mentioned on #ayatana sometime back, when designed like this, the application indicators act more like toolbar icons that have drop-down menus rather than the menus you see at the top of each of your windows. The result of that discussion/argument, from my logs was:

2010-02-23 03:42:44<jono> tedg, can you have a tooltip for the app indicator icon?
2010-02-23 03:42:49<jono> that seems sane to me
2010-02-23 03:44:07<tedg> jono: Not for Lucid. I imagine we'll reopen the discussion for Meandering Marmot. I'm not against them. I'm just not sure they're required. With the new placement the Fedora guys did they're not as annoying on menus, so that helps a ton.
2010-02-23 03:44:35<jono> hyperair, so why don't we discuss this for Lucid+1? we are a bit late in the cycle to do this now
2010-02-23 03:44:36<tedg> jono: I think the two features "up for discussion" right now for M is scroll wheel and tooltips.
2010-02-23 03:44:38<jono> does that sound ok?
2010-02-23 03:44:48<hyperair> that sounds fine.

Vish (vish) wrote :

To add to the list of items which are less usable due to not having tooltips"

 - Volume indicator: Volume icon used to have a tooltip indicating the volume level , note that the volume can be "boost" ,ie i can set the volume to 150% and this information was visible in the tooltips as "Volume output : 150%"

But this 150% can now *not* be displayed anywhere unless i open the sound preferences window and view the slider. [The slider in the app-indicator can only display the slider upto 100%]

- The current Rhythmbox song info isnt sufficient notice[screenshot attached] that only a part of the info is displayed [would be a separate bug probably] but displaying /all/ the info in the dropdown would make the item too huge which is not ideal. Note also the inconsistency in the notify-osd info and the rb app-indicator info.
And the previous rb tooltip had information about the song position too. [iirc] This can be prevented if the tooltips were used instead :-)

Changed in indicator-application (Ubuntu):
importance: Undecided → Wishlist
status: New → Confirmed

What bothers me about not having tooltips on these items is discoverability - tooltips are a superb way which people will be familiar with to discover what something is for without having to click on it. It's all very well to say click on it and look at the menu, but randomly clicking on things is, historically, not a good idea if you're uncertain about what those things will do.

Jud Craft (craftjml+ubuntulp) wrote :

The issue seems to be that indicator icon information is not immediately available on mouseover.

Instead of a tooltip, why not just automatically open the menu on mouse-over, similar to KDE's panel menus in OpenSUSE?

It would mean that any indicator icon automatically reveals its options and info on mouseover, and it doesn't require a tooltip. Mousing away could close the menu.

That's a much different interaction than previously discussed, but it would also solve the "show status immediately" problem.

Rafal-maj-it (rafal-maj-it) wrote :

Please bring back the tooltips, why break something that works?

On Friday 19,March,2010 08:14 PM, Jud Craft wrote:
> The issue seems to be that indicator icon information is not immediately
> available on mouseover.
>
> Instead of a tooltip, why not just automatically open the menu on mouse-
> over, similar to KDE's panel menus in OpenSUSE?
>
> It would mean that any indicator icon automatically reveals its options
> and info on mouseover, and it doesn't require a tooltip. Mousing away
> could close the menu.
>
> That's a much different interaction than previously discussed, but it
> would also solve the "show status immediately" problem.
>

That would solve the show status immediately problem, but it would result in a
potentially large menu showing up. This can pose problems especially for people
who seem to be less proficient at wielding the mouse. I know people who can
continuously trigger my screen's hot corner for Compiz's scale feature multiple
times in a row, and that is a screen corner. Think about how many menus they'll
spawn if they accidentally hit the top of the screen where all the application
indicator icons are instead.

--
Kind regards,
Chow Loong Jin (GPG: 0x8F02A411)
Ubuntu Developer

Changed in indicator-application:
status: Confirmed → Won't Fix
Changed in indicator-application (Ubuntu):
status: Confirmed → Won't Fix
Jeremy Nickurak (nickurak) wrote :

This is pretty aggravating here too. A small icon can only theoretically convey a relatively small amount of information, and at a low level of detail.

Many apps provide much more detail through use of tooltips. A little bit of text, a few numbers, a temperature or a status...

 It's easy, it's a pattern virtually everyone understands, it's unobtrusive, and doesn't cost anything.

Dropping this is a big loss.

Mathieu Pellerin (nirvn-asia) wrote :

- A tooltip displaying the name of currently playing song is needed for Rhythmbox application indicator (I'm glad to see disabled menu displaying current artist + song was added in the latest version but that requires a user click and displays the rest of the menu which takes some visual space)
- A tooltip displaying volume level (in dB and/or %) is needed for Volume indicator; the 3 curved lines isn't a great visual feedback for users especially while changing volume using scroll wheel
- A tooltip displaying the completion % of torrent files is needed for Transmission application indicator
- A tooltip displaying the currently connected wired/wireless network will be very practical if network-manager is ever ported to indicator-application
- ... and the list goes on, and on, and on ...

I get that part of the idea behind the indicator-application project is to revolution/improve user experience by making things different, but still. Tooltips are a well established method to provide feedback to users, why removing it? If it ain't broken, don't fix it (or in this case, don't remove it!)

Mark Shuttleworth (sabdfl) wrote :

Hi folks, Jono asked me to provide further clarity on the absence of tooltips. I marked it wontfix after a conversation with the reporter on a separate mailing list and didn't realise there was an ongoing dialogue here.

First, this is by design and not by accident. We may have a difference of opinion as the better behaviour, but the designed behaviour is not to show tooltips. Perhaps I will take a different view in future, but for the moment the decision is not to show tooltips on indicators.

Tooltips are a common device, but don't add an equal amount of value when used in different places. They also introduce potential problems: their rendering can be ugly and they can encourage "scrubbing". They are often poorly phrased and introduce additional translation requirements.

In the panel, where there are a relatively few icons and particularly little churn (the icons that are there, are there most of the time), it's my view that the benefits do not outweigh the costs, and so we'll turn tooltips off in Lucid for application and system indicators.

Tooltips are more appropriate inside applications, for example on toolbars where you can have an almost infinite variety of symbols, and may rarely see many of them. I think we could work on making them more useful and more attractively rendered there, and revisit the question of tooltips in the panel at another time.

I understand that there will be objections to this. We are taking something away. "Less is more" is a well established principle. We may be taking the wrong thing away here, but it's worth the experiment, and I'm also open to hearing *your* list of *better* things to be taking away :-)

Casey J Peter (caseyjp1) wrote :

Less is more? By adding clicks to get necessary information? example: transmission to get information on up/down byte count. By scrolling the mouse up/down to adjust volume?

I'm thinking that the law of unintended consequences is rearing its ugly head here.

By thinking "less is more", you've added complexity to what WAS simple and very convenient. Personally I'm not thrilled about this change at all, but as a linux user, I'll just dump the gnome panel for the Avant window manager which has excellent tool tip support.

My 2 cents as I was a bug reporter on the transmission information loss with this "simplification".

Mathieu Pellerin (nirvn-asia) wrote :

Mark, making things worse as a result of making changes for the sake of changing is also a well established consequence of the "less is more" principle ;o)

The whole system tray was a mess for many years and I raise my hat to the Ubuntu team for making drastic changes to try and bring order to chaos.

That being said, I find it hard to see any negative impact with leaving the tooltips available on application indicators as it is not taking any visual space by default nor is it displayed unless you trigger it by hovering over icon. It might prevent some developers from finding other avenues to display information (such as the disabled menu items to display song info in the Rhythmbox indicator) but my guess is that leaving tooltips on until devs (both within and outside of the Ubuntu world) transition to other methods is better for the end-user ATM.

Also, I think the poorly phrased tooltips & translation requirement argument is bogus. Only very few symbols are universally understood. While removing few extra strings from translation workload, your also removing critical context the interface which helps users identifying the understanding of an icon that might not be meaningful in his/her society.

A. Tombol (atombol) wrote :

Hi Mark!
Just to clarify it: it wasn't me with whom you have this issue discussed.
I (and hope the others too) accept that you have the right reasons to ban tooltips, but you must also accept the fact that with this move you also take away functionality.
Rapid info gathering is important for some of us, and having to click on icons ruins the whole point. For now, it's just another step in the long way of Gnome taking away features :P

And to be constructive too:
Why not using Notify-OSD instead of tooltips? It's coherent, renders nicely, can show all the information needed and it's Ubuntu's own invention.

Cheers

Vish (vish) wrote :

Hi Mark,
Having appropriate-easily-recognizable icon instead of a tooltip to explain it , is good.
But, the problem here is not that we dont understand what the icon is, rather that we are loosing other information that was being displayed quicker/easily.

As mentioned earlier in comment#5 , there isnt a way to display volume 150% in the volume indicator other than adding a new item apart from the volume slider. [if we add the tooltip as an item, it would be unnecessary when the volume is less than 100%, slider is sufficient there.]

RB indicator has lost the playing song position and the album ,bringing all this info to the indicator maybe a little too much in the drop down indicator, but it is an information that was easily presented earlier but many will [or I will] miss now.
Already the RB indicator menu changes size too often depending on the artists/song title, this erratic behavior can be avoided if we move the song info to tooltips.

As was the transmission torrent speeds,and other info ...

To reduce tooltips ugliness , we could make them predictable and do > http://blogs.gnome.org/mccann/2009/11/01/just-leave-it-on-the-counter/

Less is more for sure. But how little do we want? ;-)

Scott Ritchie (scottritchie) wrote :

I'll admit that losing efficiency is my main concern. Knowing that I have exactly 50 minutes vs 1 hour 20 minutes of battery life left is rather important to me, and now I need multiple clicks to do that. But that's already been mentioned above.

There's a bigger issue here of accessibility. As I understand the tooltip information is used heavily by blind users with screen readers. I don't know what the experience is like for them, but I imagine the added inconvenience is way more than the two extra clicks at different ends of the screen I now have to make.

Tiago Silva (tiagosilva) wrote :

I came across with this bug report via Melissa Draper's mournful (and correct) blog entry.

Basic human-computer interaction FAIL.

Benjamin Humphrey (humphreybc) wrote :

Stumbled here from Melissa's post also, and I completely agree. This is a bit shit.

Abhishek Dasgupta (abhidg) wrote :

Quick workaround script which I have bound to a key
to get the time remaining stuff

#!/bin/sh
timeremaining="$(upower -d | grep "time to empty" | awk -F : '{print $2}' | cut -c 8-)"
notify-send "$timeremaining" "before the juice runs out"

Bordi (borderlinedancer) wrote :

> 2010-02-23 03:44:07<tedg> jono: Not for Lucid. I imagine we'll reopen the discussion for Meandering Marmot. I'm not against them. I'm just not sure they're required. With the new placement the Fedora guys did they're not as annoying on menus, so that helps a ton.

What ever it'll be, i'll vote 4 "Mysterious Mushroom". :D

Kristijan (lapor) on 2010-03-21
description: updated
Adam Porter (alphapapa) wrote :

A Long Term Support release is definitely not a valid field for experimentation. Imagine marketing to a corporation an LTS release that has whimsical, experimental, user-disapproved UI changes, and telling them that if they buy it, they'll be stuck using the dysfunctional UI for five years. (Does that make anyone else think of Microsoft and Vista?)

If Ubuntu wishes to experiment with removing tooltips or other major UI elements, they should publish a PPA and ask for testers, and put up some test systems at their conferences and ask attendees to sit down for a few minutes and give their input. At the most, they should roll out the change in an alpha or beta release and gather serious feedback before making a final decision for the final release.

I use Kubuntu anyway (which is a whole 'nother sob story of decline; still using Hardy here because subsequent releases are all fundamentally broken), but it's attitudes and decisions like this that will probably send me back to Debian before long. I say this sadly, because I used to be fond of Ubuntu and encouraged other people to use it, and I'd really like to see Ubuntu start making wiser decisions again.

Mr. Shuttleworth, please do not turn into a free-software version of Steve Jobs, killing this or that on a whim just to give it a try, unwilling to compromise for the greater good.

Greg Merchan (gregory-merchan) wrote :

Mark,

I think I know what you're going after with this change, but reading your comment freaked me out. I think you left too much unsaid.

Isn't the idea to make the indicator icons themselves more indicative of the information that has thus far been clear only through tooltips? Aren't you trying to fix the problem of the uninformative icons? Please, just say that!

I know there are other problems being addressed too, but getting rid of the tooltip crutches seems to aim at reconditioning the icons.

Thanks

Jan Nekvasil (jan-nekvasil) wrote :

Dear Mark and Ubuntu design team,

please, reconsider Your decision to remove indicator's tooltips completely, at least for LTS release. I know that You are doing Your best to remove visual visual cruft from Ubuntu desktop, but this is serious loss of functionality for lot of people. Removing them as a necessary step _before_ there is a better replacement seem counterproductive to me and possibly will generate lot of negative attention after final release. Imagine all that reviews pointing at this issue as an obvious fail. The always disabled menu item showing the current song for Rhythmbox is mere a workaround, abusing the whole purpose which are menus for (selecting an action, not displaying an information). It's far more worse than tooltips itself.

In worst case scenario, this step can (with other controversial UI changes in Lucid) lead to lose of the favor of the geeks, which are nowadays still the main group spreading the Ubuntu amongst users (family, colleagues, friends), at least here in Czech Republic. These people are usually very passionate about software they use and recommends, and can generate lot of bad fame for Ubuntu. You are not obligated to answer for Your decision to them in any case (Ubuntu's development isn't a democracy), but they are the force which's opinion must be taken into account if You mind the popularity and good name of Ubuntu.

LTS release should not (unless I'm deeply mistaken) be the place for introducing such a controversial changes, even they are mean to be some kind of preparation for better things that will come in non-LTS release. It's hard to hold Your breath for three Years.

Thanks for Your work and visions

Jan Nekvasil

Paul Gear (paulgear) wrote :

Hi Mark,

I echo Jan and others' comments: the LTS release is not the place to do this, and there must be a way to restore the backwards-compatible behaviour. I am a geek who frequently recommends Ubuntu to others (both professional and non-professional users), and i will certainly be reconsidering the desktop and the distribution i recommend if this goes ahead.

I fully sympathise with your concern to bring consistency and better integration to the desktop, but throwing out functionality that people rely on every day is flat out *disrespect* for your existing users. (The same goes for gratuitous change like moving the close button from the right to the left.)

Regards,
Paul

Bah, you know, tooltips should be done away with, anyway. I've always hated them.

Tomas Šiaulys (tosi) wrote :

In my opinion, tooltips are really useful. I really hate it now when I have to click to just see what song is currently playing in Rhythmbox or to find out how much battery life is left.

I fully agree with Melissa & others that this is a loss of functionality and that we shouldn't be working for software...

Also, doing experiments in LTS release is... odd, to say the least. I don't think it fits well with what's been said in LTS description: https://wiki.ubuntu.com/LTS

Best regards,
Tomas

Bernhard (b.a.koenig) wrote :

Is this also intended that the notification area has tooltips (cp. network-manager) but the indicator applet has not? This inconsistency might surprise end users even more than the absence of tooltips.

Brian Rogers (brian-rogers) wrote :

Agreed. I'm not too invested in the outcome of this bug report myself, but it is odd that the indicator applets are the only things without tooltips. Everything else has a tooltip saying what it is and/or what it does, even the Applications/Places/System menu.

Colin Kern (kernco) wrote :

I understand Mark's reasoning IF tooltips are only used to tell me what something is, which seems to be an assumption Mark is making. On an application's toolbar I might need a tooltip to tell me what various buttons do, but I don't need a tooltip to tell me what the volume control or rhythmbox icon are in the panel.

But I think what's missing is the fact that often these tooltips for panel items present additional information that would otherwise require clicking. Take Rhythmbox, for example. The tooltip can tell me what song is playing. Right now, if I'm working on something and want to quickly check what the current song is, I have to click on the Rhythmbox icon to pull down the menu which displays it, then click outside the menu to focus back on the application I was working in. With a tooltip, there is no clicking and the application I'm working in never loses focus.

Bernhard (b.a.koenig) wrote :

Agree with Colin here, in current lucid beta 1, the tooltips show exactly for those panel items where they would not be necessary (menu, time and date). But the tooltips were removed for those panel items where they actually would be useful, here especially rhythmbox, volume, and battery applet.

Drew Snellgrove (forkinme) wrote :

Colin largely sums up my feelings on the matter as well as my interpretation of (what I see as a flaw in) Mark's perspective. Tooltip information is something that I check not just daily but several times per hour and include:

-Which WIFI network I'm connected to (I have to juggle a couple at work)
-The currently playing track in Rhythmbox
-Estimated time remaining on my battery
-Audio output percentage over 100%

What makes this especially aggravating [every ten minutes] is the latter two, which as others have explained are NOT available with a simple click at this time.

There are ways to beatify and improve tooltips (example here: http://blogs.gnome.org/mccann/2009/11/01/just-leave-it-on-the-counter/ ), and just naming obvious icons is certainly something that should be avoided as a properly designed icon SHOULD be self-explanatory. But removing them outright glosses over the place where tooltips truly shine, which is providing useful, specific, informative details that do not have a place in the primary GUI or that can be summed up in the icon. The perfect example is the battery meter icon which is easily identifiable without a tooltip, displays battery/adapter status, and an at-a-glance approximation of the charge. What it is unable to display without unnecessary clutter is the precise charge percentage and estimated time remaining, which are very useful details and should be available with absolute minimal interruption of the user's workflow.

Requiring several clicks and refocusing is ADDING to interruption and user interface clutter, not reducing it. The real consequences of this change are PRECISELY CONTRARY to the intended consequence. Yes tooltips are used poorly in some instances. A targeted approach to beautification and alignment with purpose is certainly due but mass removal is the completely wrong approach to the problem. I understand that it's too late to beautify and target tooltip issues individually but it isn't too late to leave them in place. To top it all off an LTS release when Ubuntu is at the height of its technological polish is absolutely the wrong place to leave such a glaring wound in the individual user's experience.

Renzo Bagnati (renbag) wrote :

Tooltips are causing problems in certain cases, like "sticking on the panel when they shouldn't", as described in https://bugs.launchpad.net/ubuntu/+source/compiz/+bug/356702. This is certainly a particular case, but extremely annoying for some people. There are patches to libwnck to disable them in the workspace switcher and in the window list applet, at least in certain conditions. I'm in favor of reducing the presence of tooltips in the panel.

Bernhard (b.a.koenig) wrote :

@Renzo: I hate that bug you quoted just the same, it's actually the main reason I'm using metacity. The problem with lucid beta 1 is that it removes the useful tooltips but keeps the annoying ones. Bug 356702 would still be present here because the window switcher tooltips are still there.

Luca Ferretti (elle.uca) wrote :

Just two little notes

1) Extra info for audio volume
In gnome-volume-control-applet the tooltip shows your current output device. If you have, for instance, internal audio and USB speakers, the current indicator-sound icon can't be used to quickly check status, you have to open Sound Preferences capplet and go to Output tab. This is an use case where a little and unobtrusive tooltip could really make the difference for end user.

2) Tooltips are better then grayed menu entries for a11y
The approach used in Rhythmbox (see image by Vish in comment #5) is good only for non-visually impaired people. You can't focus grayed menu items, so screen readers will be unable to expose this extra info to visually impaired people[1]. AT-SPI infrastructure should be able to access to GtkTooltips content with no extra effort. Of course, for the sake of a11y, other solutions could be explored, like add the extra info directly to the icon: for example, giving focus the Rhythmbox indicator icon the screen reader could automatically speak something like "Rhythmbox indicator, playing Share the Software by Jono Bacon", or the message indicator could say "3 new emails, 4 unreaded chat replies" and so on. But I suppose this will need some work in libindicator infrastructure and APIs (currenly libindicator is very poor in a11y support, see poor and misleading keyboard navigation support)

[1] maybe orca could do something using flat review mode, but running flat menu mode while navigating a menu should be a real non-sense

toogreen (toogreen-hotmail) wrote :

I must say I agree with a lot of the people complaining here... I do not like this change at all. It brings a whole new lot of problems we didn't have before. For example I like Rhythmbox's previous behavior that you just needed to click on its status notification icon ONCE and it brings it up, then if you click again it hides it. Now we have to make so many unnecessary extra steps because we need to click on it to see what was previously in the tooltips.

Anyway I really don't mind change and innovation, for example although It felt a bit weird the first time I tried the window buttons on the left, I can live with it and get used to it. But this tooltips business is a whole other story. I use tooltips quite a lot and I feel they save me a lot of time and clicks. Now I must say I feel quite frustrated without them. I was wondering if I should upgrade my main desktop to Lucid yet, because I generally like pretty much everything in Lucid so far, the look, the way empathy is integrated, etc. But then this tooltip BUG makes me seriously reconsider. Karmic is now running rock-solid on my desktop and behaves almost exactly as I want it to, so I guess I might actually stick with it for a while unless this decision is reverted.

I'm quite disappointed and I think this is a major mistake. I'm not against testing this in the future however (with hopefully some kind of alternative-replacement to tooltips), but as many have pointed out, this is a bad idea for an LTS!

Bilal Akhtar (bilalakhtar) wrote :

Hi Mark,
I request you to reconsider this decision. Most of the Ubuntu users are used to tooltips in the panel status indicators and this is what they would be expecting in lucid. Also, lucid is expected to be the best ubuntu release since Warty. Users of Ubuntu like me want it to be the best release in every way and I think that most of us would hate to see those golden tooltips go away.
Lucid will also see many users migrating from Windows. All latest versions of Windows do have tooltips in icons in the tray, and such users would feel that Ubuntu is "less matured" when they would not find any tooltips in the panel indicators.
And, there is the concern about LTS. Many corporate users are expected to stay on Lucid till 12.04 LTS comes out. Please do not remove the tooltips in this release!

Cheers,
Humble Ubuntu User in Saudi Arabia.

Evgeny Kuznetsov (nekr0z) wrote :

The only question I have about this controversial decision is: how do I switch tooltips back on so that the behaviour is normal again? The only valid argument about moving buttons was that it was relatively easy to move them back into appropriate place by setting it in gconf (they should have stayed where they belong in the first place, but well, I don't mind Mark's experiments as long as I can keep on working the way I see fit). Is there a way to revert this new setting?

Renzo Bagnati (renbag) wrote :

@Bernhard: I agree with you. The indicator tooltips are certainly more useful than those in the workspace switcher or window list applet. So, why remove the good ones and leave the annoying ones? I think that there must be a careful evaluation of what is the best thing to do here.

max (maxozilla) wrote :

Tooltips should not be removed, particularly from a Long-term release. This is an accessibility issue. It should be possible to know what icons indicate quickly and easily.

Furthermore, I note that one of the argument seems to be to "reduce clutter". But tooltips are not cluttering the screen - they only appear when you want them to.

I am opposed to this bad decision and I hope that tooltips will not be removed. At the very least, put it to some kind of vote to the Ubuntu community.

138 comments hidden view all 218 comments
Perky (perkyspam) wrote :

That also may explain the spacing in the indicator applets (room for finger touch).

I guess we have to be happy with alternative applets - for upload/download speeds you can use netspeed applet. There are also alternative battery applets out there, and the gnome-volume-control-applet provides tooltips (although a bit ugly - but if you can relink the icons in your theme directory and rebuild icon cache).

Martin Wildam (mwildam) wrote :

On Fri, Jun 18, 2010 at 02:29, Perky <email address hidden> wrote:
> I can see from Mark's view that there needs to be an alternative to
> tooltips on tablets.  However, at the moment such devices are 'toys'.

Not just at the moment, IMHO. You can't turn a car into an airplane -
that is different things, even if both are invented for transport.

By definition a netbook or tablet will always be substantially
different from a desktop or laptop PC.

Therefore netbooks or tablets will IMHO never replace a real laptop or
desktop. I simply can't go to holiday with my whole family with a
Ferrari - even if it looks cool and may go fast (under the appropriate
circumstances), it simply does not offer enough room.

While you could do web-surfing and email with your netbook, doing CAD
or writing long documents etc etc is simply not efficient with a small
geeky device.

On the other hand, when in inventory where it might be sufficient to
type a few numbers (or just use a built-in barcode scanner) and read
some necessary information. - Here a tablet could fit very well and
better than carrying a laptop.

> In comparison to traditional laptops/desktops they are not as good for
> getting work done (depending on the work).

Indeed - as explained above!

> This will probably change as
> they mature many years down the track, and you never know - getting work
> done may end up being more productive on a tablet

I don't think so even in mid-term future because of physical conflict:
A small mobile device can never offer a big view (maybe with
projecting it into the air only) and a small keyboard is simply not as
easy to handle as a bigger one that fits more the human hand. BTW: I
do not think that speech recognition and related technology will get
stable within the next years, as I notice that neither fulltext
indexing does (which is more important yet).

> I can also see that to develop a tablet
> version of Ubuntu will be tricky because of the small userbase - perhaps
> that is why some 'experiments' are appearing in desktop versions of Ubuntu?

Isn't it possible to display several things different depending on the
device? - Maybe in the future the device can recognize, where we
looking at and displaying the tooltip then - that would be the
equivalent to hovering with the mouse. ;-)

Anyway, the clear mistake that is done is for the sake of good user
experience on the netbook, productivity on laptops and desktops is cut
down. Maybe Mark thinks, that Ubuntu has more chances on the netbook
market than on the desktop market and therefore concentrate on that.
But seriously, a netbook is a nice thing, I might carry with me when
going to a conference to have less luggage, but for daily work nobody
would use it. And I find it a big mistake to concentrate just on that
as I think that business is interested in saving plenty of licence
fees.

--
Martin Wildam

Ray Wang (raywang) wrote :

Tooltip in indicator-applet session is very important, does anybody can tell me what is the "Text entry" used for?
I think No tooltip does hurt the user experience. :)

Andrea Ratto (andrearatto) wrote :

I updated two days ago to Lucid and I am finding the whole indicator stuff on the right to be totally annoying even if it is not new anymore.
I miss the tooltips, I hate the bluetooth icon, I hate the me-menu and the session button without icons.
This indicator technology has potential but is incomplete and not customizable to fit all users' needs. It's five years and still this distro is managed like a beta of something yet to come.

I own the panel and the whole screen. I want to decide exactly what lives there and where to place it.
Consistency and customization are two faces of the same medal. There are at least ten applets that need some love and consistency fixes, before adding a new mess.

I can't get back the behavior I like and am accustomed to. It requires recompiling different packages. That does not make me feel good about running Ubuntu since dapper and installing it on more that 40 machines.
You are forking the GNOME desktop and being more and more fascist in handling users' requests.

Linux desktop's problem is just that 90% of the programs are 90% complete. Fixing bugs, adding small features and completing one program after the other is all that is needed. Not much glory in that, but that's what will make linux desktop actually usable

Martin Wildam (mwildam) wrote :

On Tue, Aug 31, 2010 at 11:37, Andrea Ratto <email address hidden> wrote:
> I hate the me-menu and the session button without icons.
> This indicator technology has potential but is incomplete and not customizable to fit all users' needs. It's five years and still this distro is managed like a beta of something yet to come.

I don't "hate" them, but sincerely, I don't use the me menu. I do
social networking on different sites totally separated as one e.g. is
for private use and another for office/work. And I don't either want
to configure all my logins within a single service collecting all my
login information. I use KeePassX so I even don't have a problem with
logging in to different sites.

From my point of view the me-menu could be completely dumped. I would
have already deleted it from the panel if it wouldn't show the
logged-in username there which I like (e.g. at home 3 people are using
the same PC). Either none of those I converted to Ubuntu is using it.
Most people don't use that much different social networking sites.
Most private users are in Facebook and for business since all those
services are trying to get you being a paying member, I see reduced
interest of people being in XING or LinkedIn. But I find the me-menu a
good idea for those who participate in many communities.

> I own the panel and the whole screen. I want to decide exactly what lives there and where to place it.

I tend to agree with you, but there should be a meaningful default. I
do switch a lot of people to Ubuntu and I don't want to "design" the
panel each time again and again. I want a good default that I don't
need to change anyway for the 80% of "normal" users. I am a GTD freak
and of course I do more hacking to my system.

> Linux desktop's problem is just that 90% of the programs are 90%
> complete. Fixing bugs, adding small features and completing one program
> after the other is all that is needed.
> Not much glory in that, but
> that's what will make linux desktop actually usable

Full ACK!
That said, it is already usable - it's just, that those small things
remind me too much to the old windows days that were full of smaller
or larger annoyances.

--
Martin Wildam

http://www.google.com/profiles/mwildam

Alex Mandel (wildintellect) wrote :

I can see various pros and cons of the situation. What I would love is not intentionally limiting customization. Seems that each new version of ubuntu core UI functions get changed in an attempt to make the interface better, but I caution against making it really hard for users to switch or customize.

It's also driving me nuts that I can't just roll the mouse past the battery indicator to check the time estimate/percentage. Clicking twice to see something so seemingly simple is a little absurd. I would really love the option to just show the data in the toolbar when on battery if I have the space too. Or that the new indicator applet shows 1 red bar when I'm at 100% battery (seems to be a bug #405148), when the old tools worked great. With the new indicator system I still have figured out how to check my apc ups status without having to go to the cli apcaccess, used to be able to use gapcmon docked in the panel.

One possible way forward is to default to the custom variants of gnome for ubuntu but to also have an alternative package that keeps more of the expected gnome behavior.

rodislav (rodislav) wrote :

+1

i also think that too much clicks are bad idea, even for new users, and - maybe Open Menu on RollOver (MouseEvent.MOUSE_OVER)

s0undt3ch (ufs) wrote :

Don't just remove something that worked perfectly.
Bring back tooltips!
Stop making me click and click and click and click, just to get a small amount of info that could and in some cases should be displayed in a simple tooltip.

Patrik Floding (patrik-b) wrote :

Tooltips are a good GUI invention that's been around for ages. I believed something was wrong with the installation when I installed Narwal. Generally Ubuntu has improved a lot, but the missing tooltips is just plain stupid, and it was a pain to find the system configuration stuff -a tooltop for the "power button" would have helped that perhaps (and why is the main menu so non-menu like?). Anyway, tooltips are a good thing, and if a few people feel they don't need them, then it should be possible to turn them off. They shouldn't have been deleted.

somebody earlier promised here, that the next release of ubuntu would bring back the possibility to check volume percentage, which was some 2 or 3 releases ago and still nothing. I think ubuntu is the only OS on the world where u can't check the exact percentage of ur volume....

Indeed! Especially the volume-display sucks. No Volume, no battery-load, no display-information....why are you making this so complicated?

Oliver Joos (oliver-joos) wrote :

I also miss the popup showing the wlan power! Opening a terminal and typing 'ifconfig' when video streaming stutters to check why is not "for human beings", is it?

I don't prefer Linux because it's cheaper than MacOS, but because it is open in many ways: its source as well as its system state! It makes me sad to see that Ubuntu recently favors a questionable "information hiding". A real challenge would be to show system details, without complicating the simple use-cases. Please Canonical, take this into account!

Patrik Floding (patrik-b) wrote :

I have read more comments and other views and have come to the conclusion that Ubuntu may not be for me.
On the plus side the installation experience was fantastic, the initial impression from the way it looked was good.
On the minus side an update of the system froze the GUI and required a hard power cycle, and it seems that the default desktop GUI is too functionality-stripped to suit my taste. Getting rid of Unity didn't improve things much as the old style menus looked tired and developmentally orphaned. Unity would be nice if it wasn't so dumbed down (presumably for touch screen usage) and unconfigurable. Unfortunately Windows 7 (and even Vista) are more appealing and feel less straight-jacket like. I know I can hack Linux to anything, but most users can't -and the maintenance trouble of a totally personalised system is not something I wish to handle. I never liked the space wasting "global menu bar" (macintosh style) feature, and can't seem to get rid of it at all nowdays in Ubuntu. Window buttons on the left is a mac thing, and seems to screw up most existing themes. Weren't they always on the right on Linux systems? I use a Mac (mini) and an iPhone, and can just say that the Mac GUI is nice, but cannot be half-implemented. You either have it fully implemented, or it's no good. And not even Apple tries to make the touch screen interface the same as the real computer version. Linux has come a long way since the early days, but dumbing down the GUI universally cannot be the way forward, surely?

Chow Loong Jin (hyperair) wrote :

On 06/06/2011 18:54, Patrik Floding wrote:
> I have read more comments and other views and have come to the conclusion
> that Ubuntu may not be for me.

I'm sorry to hear that. Have a good trip finding another Linux distribution.

> On the plus side the installation experience was fantastic, the initial
> impression from the way it looked was good. On the minus side an update of
> the system froze the GUI and required a hard power cycle, and it seems that
> the default desktop GUI is too functionality-stripped to suit my taste.

Unity is essentially Compiz with an extra plugin. And somehow, I fail to see how
Compiz, which has been criticized by GNOME for being too bloated (in terms of
configuration options) can now be criticized to be too "functionality-stripped".

> Getting rid of Unity didn't improve things much as the old style menus
> looked tired and developmentally orphaned. Unity would be nice if it wasn't
> so dumbed down (presumably for touch screen usage) and unconfigurable.

The global menu is provided by the package called indicator-appmenu. Just remove
it and voila, no more global menu, whether in Unity or in the classic interface.

As for being dumbed down, see above.

> Unfortunately Windows 7 (and even Vista) are more appealing and feel less
> straight-jacket like.

Then go back to Windows.

> I know I can hack Linux to anything, but most users can't -and the
> maintenance trouble of a totally personalised system is not something I wish
> to handle. I never liked the space wasting "global menu bar" (macintosh
> style) feature, and can't seem to get rid of it at all nowdays in Ubuntu.

Do yourself a favour, and count the number of pixels wasted by the global menu
bar, please. If you get a positive figure, count again.

> Window buttons on the left is a mac thing, and seems to screw up most
> existing themes. Weren't they always on the right on Linux systems?

Half the themes in gnome-look.org work well on both left and right side. Please
stop with the emotional false accusations.

> I use a Mac (mini) and an iPhone, and can just say that the Mac GUI is nice,
> but cannot be half-implemented. You either have it fully implemented, or it's
> no good. And not even Apple tries to make the touch screen interface the same
> as the real computer version. Linux has come a long way since the early
> days, but dumbing down the GUI universally cannot be the way forward,
> surely?

Mac is Mac. Windows is Windows, and Ubuntu is Ubuntu. Each have a distinct user
interface, with a distinct user experience. The Unity look-and-feel is not the
same as the Mac's look-and-feel, and neither is it meant to be. Unity is not
about dumbing down the GUI, but about progressing towards the ultimate user
interface, that sweet spot that satisfies everyone. If configurability is what
you want, then maybe you'll be happy with KDE instead.

Anyway, all this talk is off-topic here. This bug is closed. Please just let it
die in peace. Now, for the sake of my own sanity, and that of my inbox, I am
hereby unsubscribing myself from this bug, and will not reply any further.

  unsubscribe

--
Kind regards,
Loong Jin

Patrik Floding (patrik-b) wrote :

"Unity is not about dumbing down the GUI, but about progressing towards the ultimate user
interface, that sweet spot that satisfies everyone"
There is no such thing. Someone once claimed that everything had already been invented. That is a very similar statement. But thanks for making a fanboy reply. BTW, I know that anything CAN be done -when I say "stripped" I mean the accessible functionality. Such as selecting WHICH instance/window of an application to switch to from the left side task bar (just one example). Regarding wasting screen estate: There is a task bar on the left AND a menu bar plus icon tray on the top. Most of the top bar is empty most of the time, and windows don't drag over it (pure Mac design, whatever you may say).

Patrick, ur comment is way out of the topic, we are talking about tooltips and the functionalities removed with them! Regarding Unity, it has its problems, but it is still very early. I really LOVE Unity, it shows that Canonical has the brains, unlike the Gnome team. It is a base for a completely new user experience. Removing 2 useless stripes from each maximized window is a break-through idea. I don't understand anybody who criticizes this. Once the worst bugs are solved this will be the greatest OS environment ever (and not just for those 2 stripes...)

But sadly, with the move to Gnome 3 we can expect much more functionality removed than that removed with the tooltips. :(

Patrik Floding (patrik-b) wrote :

Coming back to topic then: I just fired up the Mac OSX and the top bar behaves very much like in Unity. The reason I have never though about the OSX top bar not having tooltips is that all the needed information is available without clicking. (This is not on a laptop, so I don't know what OSX looks like regarding battery status.) I guess the solution, if emulating the Mac is the goal, is to improve the displayed information. (Emulating the Mac is probably not a bad thing, BTW.)

Matthew Paul Thomas (mpt) wrote :

Alex Mandel, I would be delighted to see a branch that let the battery menu optionally show time remaining in its title. That would be much quicker to see than a tooltip would.

Patrick Floding, we have no evidence that a tooltip would make substantially more people understand that System Settings is in the power menu. As I understand it, the current plan for making System Settings more discoverable is to put it in the launcher by default.

Oliver Joos, as far as I can tell wlan power is not shown in any of Network Manager's windows, either. If you think it's important enough to expose at all, step 1 is to expose it in the window along with the rest of the networking information. Please report a separate bug on that, if there isn't one already.

Oliver Joos (oliver-joos) wrote :

@Matthew: thanks for picking up my point!

> as far as I can tell wlan power is not shown in any of Network Manager's windows, either.

That's why I miss its tooltip. I don't agree that it is a bug of panel applets to rely on their tooltips. The bug is in the new indicator applet and the report is here. Like 4 other comments above I'd welcome a boolean in gconf to enable tooltips in the indicator applet. Forcing changes in other projects is not nice and not ubuntu.

@all: let's concentrate here on possible solutions of this bug

Ted Howard (chaosmosis) wrote :

Ha! I just discovered this bug report and now I know why I have been losing tool-tips on indicator applets over the past few versions. The decision(s) to remove or drastically change functionality like this [without giving the user an adequate and easy way to get the functionality back] are going to ruin Ubuntu. The is the 2nd major horrible design decision in this release that I am aware of to date. The other being the overlay scroll bars and no convenient way to revert to classical scroll bars that have been around for what, freaking ever? And It's ironic that the same class of annoyances that drove one away from Windows and to Ubuntu, would also wind up driving one away from Ubuntu. I just realized that I have been using, praising, installing and recommending Ubuntu for about 5 years; and I hope this doesn't change but it may soon.

I'm not going to repeat any arguments for the tooltips since in my opinion they are already well supported by many earlier in this thread and yet even though they seem to me to outweigh and outnumber all the arguments against tooltips, they are essentially ignored and displaced with an illegitimate oligarchical design decision based on a utopian ideal.

This thread is the epitome of ridiculousness. That it should take nearly 200 hundred comments to try and get back a feature that never should have been removed to begin with. I'm saving a copy of it because I think it makes a great development anti-pattern.

Oliver Joos (oliver-joos) wrote :

Sorry for getting off-topic. I just cannot stay calm reading everywhere that Ubuntu gets ruined. Me too, I liked it out-of-the-box from Breezy to Jaunty. For Natty I recommend the following 5 commands, and if anyone knows a cheap way to bring back tooltips, please share it! Hope this helps to keep skilled people from leaving Ubuntu.

sudo apt-get install gdebi synaptic gtkperf ttf-droid

sudo apt-get remove unity-common ubuntuone-client overlay-scrollbar

sudo sh -c "echo >/etc/X11/Xsession.d/99disable-overlay-scrollbars 'export LIBOVERLAY_SCROLLBAR=0'"

gconftool-2 --set --type string /desktop/gnome/session/required_components/windowmanager gnome-wm

cat <<EOF >>~/.gtkrc-2.0
style "default-style"
{
  GtkWindow::resize-grip-height = 0
  GtkWindow::resize-grip-width = 0
}
class "GtkWidget" style "default-style"
EOF

And note that Gnome theme "Dust Sand" with font "Droid" is about 50% faster than Nattys default (according to gtkperf).

PS: I don't like aubergines either.

> Alex Mandel, I would be delighted to see a branch that let the battery menu optionally show time remaining in its title.
> That would be much quicker to see than a tooltip would.

MPT, what about supporting on-hover indicator menu title showing? I mean, when you move your mouse over an indicator supporting this feature, all the others will slide and the indicator title would show up!

Martin Wildam (mwildam) wrote :

On Mon, Jun 13, 2011 at 08:30, Oliver Joos <email address hidden> wrote:
> Sorry for getting off-topic. I just cannot stay calm reading everywhere
> that Ubuntu gets ruined. Me too, I liked it out-of-the-box from Breezy
> to Jaunty. For Natty I recommend the following 5 commands [...]

Thanks for sharing such hacks.

Don't get me wrong, but I do not want to end up like I was used to on
Windows: Spend several days after new installation to hack it until I
can work smoothly. I do install Ubuntu quite often and I am not
interested in preparing my own after-install-fix-scripts that I need
to run after every new installation which I need to rewrite for each
release...
--
Martin Wildam

http://www.google.com/profiles/mwildam

Matthew Paul Thomas (mpt) wrote :

Ted Howard: Tooltips are not "functionality", they are one possible way of presenting information. Tooltips work well when you can rely on every item in a group having one (e.g. every button in a toolbar), otherwise time is wasted in hovering over an item waiting for a tooltip that never comes. Most menu titles contain text, so their developers could never reasonably be expected to add a tooltip to every menu title. Therefore, I concluded that the least time-wasting interface would be one where people could build a mental model that menu titles never have tooltips. Any extra information should be presented in other ways: for example as menu items (like the track data in the sound menu), or as text in the title itself (like the time remaining in the new battery menu).

A few of the duplicate bug reports are of the form "Hey, there's no way to see this particular information any more". Those should not be duplicates, because they describe a solvable problem rather than assuming that it must be solved using tooltips.

Treviño: Changing the title on mouseover would cause the menu to widen as you passed over it, and then narrow when you left it. That would make menus on the leading side more difficult to open, especially the one immediately adjacent.

damn, treviňo's idea is a break-through!!!!! but I would rather suggest the extra information to be not the title of the icon, but real extra info, like volume percentage, wifi signal strength, or all undisplayed data in the calendar (like weekday, ...). u could also consider putting (the now missing) weather info into this.

but anything u put there, treviňo's idea (with sliding icons showing more info on the space that has been freed up) is the best damn solution from all those 202 comments and I read all of them!!!!!! this is not just practical and beautiful, but would also nicely fit into unity...

Thanks zsolt.ruszinyák for your appreciation, however I can agree with MPT about the fact that sliding can cause clicking over the adjacent indicators harder and time-consuming (but not as much going over an indicator - click and look for the needed information).

However, another idea that can be considered in this case is not to slide, but to use the Unity's PanelView to show the indicator's "text". I mean, when overing or clicking over an indicator the Unity Window title text is replaced with the indicator text. This can also work with the keyboard selection so could improve the accessibility too.

In fact I think that when you're over an indicator or working with it, your attention is focused just on it and so showing the mapped window title is not needed or useful at all (as it really is in background).

Steve (steve-launchpad) wrote :

@Matthew Paul Thomas (mpt) #202

So, some items don't have tooltips, so remove all the tooltips. I don't accept that as sensible. Some were showing useful information. Now they're not.

The alternative, showing things e.g. rhythmbox track information as menu items on the sound indicator. Well now I have a menu item on the sound indicator that I can click on and it does nothing. Menu items that do nothing? Surely if there's a menu item that does nothing, then surely by your initial reasoning, all menu items should be removed?

Please bring back the tool tips & Fix the spacing between icons issue.

treviňo and matthew, what exactly did you mean by clicking? unconsistency of the animation of the sliding icons, or collision with the fading part of the window title? well, it is a difficult question, I am not a developer... but I really can imagine it to work. however, the second idea treviňo gave is not good for me, we are trying to use space in the most efficient way, so imagine that u have to look on the icon just to be able to hit it with the pointer and then u have to look somewhere else. it is not logical to have the info so far away form the icon it belongs to, clicking or no clicking, the first idea is still something to consider. there has been many suggestions, but when I read the one with sliding icons, I could imagine it right away, which is not true about any other here.

Matthew Paul Thomas (mpt) wrote :

Stephen Roberts, the menu item never did nothing, but it wasn't obvious what it did. That's now fixed (bug 699899). If you see any problem with spacing between icons, please report that as a separate bug.

Steve (steve-launchpad) wrote :

@Matthew Paul Thomas (<email address hidden>)

"the menu item never did nothing, but it wasn't obvious
what it did. That's now fixed (bug 699899). If you see any problem with
spacing between icons, please report that as a separate bug."

Glad the menu bug is fixed - thanks.

Spacing between icons was reported 2010-02-24, a patch exists, but the bug 527267 still exists.

https://bugs.launchpad.net/indicator-application/+bug/527267/+index?comments=all

LStranger (andrej-rep) wrote :

This bug is a very annoying one. I understand it's a new design which you've decided to have but this is one of reasons to hear from people: "Welcome to Windows, dude, there is no such problems there!" And such bugs are why people are refusing to migrate from Windows unfortunately. Just my 5 cents.
I would ask you to enable tooltips but make it an option (disabled by default as soon you wish it too much) which can be enabled on per-indicator basis from icon-menu. Don't make it all the same way as Microsoft usually does, please. Unix-way is to be configurable and you took that away.

LStranger (andrej-rep) wrote :

May be I missed my point in the comment. I'm using Weather Indicator and it is the ONLY item in my lxpanel which doesn't have a tooltip and I don't know any possibility to have it. And I don't like to have some additional subpanel with very much limited info (it shows only temp in the price of bloated menu added and I want to see also wind and humidity/rain/snow) but I want to have short weather summary in tooltip instead of clicking to see it (and even clicking twice to hide it again)!

FYI, those are two solutions I proposed to give information when mouse was on-hover the indicators using the top-panel bar.

However unfortunately this won't be accepted for upstream :(

Screencast of my prototype version: http://go.3v1n0.net/tjTi1S
Mockup: http://go.3v1n0.net/vtmqkC

both solutions look terrific. I like more the on-hover tooltips, however, it might probably cause some issues with adjusting font sizes of the tooltip text etc., which should fit different icons and that might cause problems if the icon theme is changed. I assume this might have been the reason why it wasn't accepted, but it is not impossible, though...

Matthew Paul Thomas (mpt) wrote :

LStranger, this is not a bug, it is a non-specific design suggestion. Three ways you can tell it is not a bug are that the the summary starts with "please", the summary does not describe a problem, and the description uses the word "usability" as a rhetorical bludgeon. I covered these mistakes in my 2009 talk, "How to complain about usability". <http://www.archive.org/details/how_to_complain_about_usability>

In small part because of those initial missteps, a large majority of the comments have not been useful, which has made it hard to find and evaluate the useful ones. In 212 comments, there have been 16 examples suggested where menu title tooltips might be useful. This is my evaluation of each of those:
- Transmission transfer rates: Easily shown as optional title text.
- Volume level with boost: Targeted for implementation in 12.04.
- Rhythmbox current song info: Since shown interactively in the sound menu.
- Transmission completion percentage: Better shown on the launcher icon.
- Currently connected wired/wireless network: Not interesting.
- Battery time remaining: Since implemented as optional title text.
- Audio output device: Better shown in the sound menu icon.
- Number of unread messages: Shown interactively inside the messaging menu.
- Number of packages needing updates: Not even remotely interesting.
- Dropbox files to sync: Not interesting (but implementable as title text).
- Network connection and approximate signal level: Already shown in the icon.
- Exact signal level: So obscure, it isn't even shown in a window yet.
- Eclipse configurations: Better handleable by a launcher quicklist.
- Server maintenance application: Better shown as title text.
- Remote desktop viewer vs. terminal server: Better disambiguated using different icons.
- Weather: Better as title text and/or menu items that open detailed reports.

This suggests to me that the no-tooltip policy is correct; being unable to use tooltips in menu titles nudges developers towards designs that are better anyway.

zsolt-ruszinyak, Marco's experiments did look good. The problem was not in their looks, but in their behavior. Depending on the delay before the text appeared, it would be something flashing distractingly far away from where you were trying to concentrate; or appear more slowly than just clicking to open the menu; or even both.

netman74501 (netman74501) wrote :

I find it very frustrating to have to click on the battery icon to see how much battery I have left since the icon is so obscure. If it was a percentage, that'd be even better.

But, more to the point of my post:

Where is this title text option you speak of?

Cas (calumlind) wrote :
Jeremy Bicha (jbicha) wrote :

Cas, linking to lmgtfy.com is rude.

Even worse, the top Google result is out of date, describing the 11.04 battery indicator which was changed in 11.10 to not include an option to show the battery percentage. The Ubuntu designers currently seem to think that people would rather see the time remaining and an option to show percentage instead is not that important. It's unclear whether they'd merge in a patch if it were written but it might be worth writing a patch and trying to get it in. That is bug 811777.

Matthew Paul Thomas (mpt) wrote :

netman74501, from the battery menu choose "Show Time in Menu Bar".

tags: added: quantal
Displaying first 40 and last 40 comments. View all 218 comments or add a comment.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.